/*! @LICENSE **************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 * Copyright 2021 Adobe
 * All Rights Reserved.
 *
 * NOTICE: All information contained herein is, and remains
 * the property of Adobe and its suppliers, if any. The intellectual
 * and technical concepts contained herein are proprietary to Adobe
 * and its suppliers and are protected by all applicable intellectual
 * property laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe.
 * ********************************************************************** */

/* eslint-disable @typescript-eslint/no-unused-vars */
// event to indicate HTML streaming is about to start
function startStreaming() {
  try {
    // eslint-disable-next-line no-console
    console.log('sdk stream start');
    window.AdbeDx.sdkStreamStart();
  } catch (err) {
    // eslint-disable-next-line no-console
    console.log('sdk stream start: ', err.message);
  }
}

// this is the method sdk uses to send html chunks
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function sendChunk(chunk) {
  try {
    window.AdbeDx.sdkSendChunk(chunk);
  } catch (err) {
    // eslint-disable-next-line no-console
    console.log('sdk send chunk: ', err.message);
  }
}

// using a global function here rather than the
// api directly to handle better error catching
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function sendUpdate(chunk) {
  try {
    window.AdbeDx.sdkSendUpdate(chunk);
  } catch (err) {
    // eslint-disable-next-line no-console
    console.log('sdk send update: ', err.message);
  }
}

// this is the method sdk uses to notify dx
// that streaming has completed
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function finishStreaming() {
  // eslint-disable-next-line no-console
  console.log('sdk stream end');
  window.AdbeDx.sdkStreamEnd();
}

// eslint-disable-next-line @typescript-eslint/no-unused-vars
function finishUpdates() {
  // eslint-disable-next-line no-console
  console.log('sdk updates complete');
  window.AdbeDx.sdkUpdatesEnd();
}

// set the hot module reload schema
function setHMR(schema) {
  window.AdbeDx.HMR = schema;
}
